GNU bug report logs - #25558
Spurious warnings with variables mentioned only pcase guard patterns

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: Clément Pit--Claudel <clement.pitclaudel@HIDDEN>; Keywords: confirmed; merged with #16771, #27545; dated Sat, 28 Jan 2017 00:16:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) confirmed. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 16771 25558 27545. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 16771 25558. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 25558 <at> debbugs.gnu.org:


Received: (at 25558) by debbugs.gnu.org; 28 Jan 2017 00:23:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 27 19:23:41 2017
Received: from localhost ([127.0.0.1]:48681 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cXGns-0008HP-Qe
	for submit <at> debbugs.gnu.org; Fri, 27 Jan 2017 19:23:40 -0500
Received: from mail-io0-f173.google.com ([209.85.223.173]:36022)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1cXGnq-0008H1-Gd; Fri, 27 Jan 2017 19:23:38 -0500
Received: by mail-io0-f173.google.com with SMTP id j13so72780755iod.3;
 Fri, 27 Jan 2017 16:23:38 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=GLPV4V40jSEVKNWsor9gQOCxBRKztUcszxZJe3XYyfA=;
 b=bptOfIvQKqPslzH1oTjzjyYC18JSkPWNjhwHjohxHvALbiLhjC6B/s+huRrH1JdmbM
 gDTsOMBJa4NlxQy/dul+fHX4n+L8dNEoqBXSD2FIr+isMmrVJQBLr6LP6Wn+BhSMCeV6
 SzouD4vFTdkZ8fLvmKvoAaxqT2hLGZKA/eVDJZtJjmLHwASb0Y3BSEq8hGZLtj3ZB9eV
 6p0RhxnA4SRuqVU5qsaJ5SWmaSxv+pyWOoidqtq6ngi5KcqHnBe86muWMUCzD8bwe+Io
 91YNfRniPaLRJ3vyvUOiAYH8O3yIQw7mfqaW5IzBp/zUVYACxi3MntVDBqNR6B/IyJvO
 fe0A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version
 :content-transfer-encoding;
 bh=GLPV4V40jSEVKNWsor9gQOCxBRKztUcszxZJe3XYyfA=;
 b=tQ0G1len92DphVhI9E4gxVdTPyX994LZwNw1N9I4J7Qg9lsRuXwPgp+ixxmU/COBls
 P8N1xN8czRCoyERvlq46L9BXFU12R2bmxho8pcKT8uaVX7zUmaGx9o7uqGp3Og1JTjeg
 7dZecSfHQNWsWnZPDcFVZt91IsYMYdWG7lzuNPbVTHlWuJUHJEWCqItYyYGMikDGlrD3
 NItHcUPnNBuGYwEvrJBq/RmZ/Xgjing2mVtoi+LlqCbzlgXN2QHZFdCR008aBPB5RYm7
 8297RmWshxzJrV9NfUQ23ySBHgcdV1vNGBGcQ5wkYEEBKoVnj47OiNKjm/ICmNAfhbsB
 2MBw==
X-Gm-Message-State: AIkVDXJf9zwBNx5KMDyv5pwl7DLXgB8GRMRCECp32kfbanTB9xlX8bXNZjcwxhVrrXx1/A==
X-Received: by 10.107.131.229 with SMTP id n98mr11516183ioi.39.1485563012713; 
 Fri, 27 Jan 2017 16:23:32 -0800 (PST)
Received: from zony ([45.2.7.65])
 by smtp.googlemail.com with ESMTPSA id j14sm3922776itd.0.2017.01.27.16.23.31
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Fri, 27 Jan 2017 16:23:32 -0800 (PST)
From: npostavs@HIDDEN
To: =?utf-8?Q?Cl=C3=A9ment?= Pit--Claudel <clement.pitclaudel@HIDDEN>
Subject: Re: bug#25558: Spurious warnings with variables mentioned only pcase
 guard patterns
References: <bf1de76c-d460-423d-9db6-cbae4083dcea@HIDDEN>
Date: Fri, 27 Jan 2017 19:24:41 -0500
In-Reply-To: <bf1de76c-d460-423d-9db6-cbae4083dcea@HIDDEN>
 (=?utf-8?Q?=22Cl=C3=A9ment?=
 Pit--Claudel"'s message of "Fri, 27 Jan 2017 19:14:54 -0500")
Message-ID: <87vat0rpyu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.6 (/)
X-Debbugs-Envelope-To: 25558
Cc: 25558 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.6 (/)

forcemerge 16771 25558
quit

Cl=C3=A9ment Pit--Claudel <clement.pitclaudel@HIDDEN> writes:

> The following causes a warning (unused variable 'b'):
>
>   (pcase '(1 2) ((and `(,a ,b) (guard (equal a b))) a))
>
> This is due to pcase let-binding 'a' twice; once around the guard test ('=
(equal a b)'), and once around the body ('a').

This was reported as #16771.  It seems difficult to fix, unfortunately.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#25558; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jan 2017 00:15:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 27 19:15:16 2017
Received: from localhost ([127.0.0.1]:48674 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1cXGfk-00085F-IF
	for submit <at> debbugs.gnu.org; Fri, 27 Jan 2017 19:15:16 -0500
Received: from eggs.gnu.org ([208.118.235.92]:39864)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1cXGfi-000852-9I
 for submit <at> debbugs.gnu.org; Fri, 27 Jan 2017 19:15:15 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1cXGfc-0004Fz-EH
 for submit <at> debbugs.gnu.org; Fri, 27 Jan 2017 19:15:09 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: *
X-Spam-Status: No, score=1.3 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 RCVD_IN_SORBS_SPAM autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:55323)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <clement.pitclaudel@HIDDEN>)
 id 1cXGfc-0004Fm-BI
 for submit <at> debbugs.gnu.org; Fri, 27 Jan 2017 19:15:08 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:59068)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1cXGfb-0004Me-GD
 for bug-gnu-emacs@HIDDEN; Fri, 27 Jan 2017 19:15:08 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <clement.pitclaudel@HIDDEN>) id 1cXGfY-0004DX-DX
 for bug-gnu-emacs@HIDDEN; Fri, 27 Jan 2017 19:15:07 -0500
Received: from mout.kundenserver.de ([212.227.126.187]:64412)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <clement.pitclaudel@HIDDEN>)
 id 1cXGfY-0004DK-2L
 for bug-gnu-emacs@HIDDEN; Fri, 27 Jan 2017 19:15:04 -0500
Received: from [18.111.113.197] ([18.111.113.197]) by mrelayeu.kundenserver.de
 (mreue002 [212.227.15.168]) with ESMTPSA (Nemesis) id
 0M8FCE-1cJKMB15Nq-00vtGS for <bug-gnu-emacs@HIDDEN>; Sat, 28 Jan 2017
 01:15:01 +0100
To: bug-gnu-emacs@HIDDEN
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
Subject: Spurious warnings with variables mentioned only pcase guard patterns
Message-ID: <bf1de76c-d460-423d-9db6-cbae4083dcea@HIDDEN>
Date: Fri, 27 Jan 2017 19:14:54 -0500
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.5.1
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature";
 boundary="vuxAnnbJdUvDjFLSLd8vhXRg4LOT0IDaA"
X-Provags-ID: V03:K0:kBtM0yzuXA6aHd/LjLwjbqJzCMqotg8Sz95KBtnhiFE4/LNo8oM
 B9PBbF+qEMwnonicHeaKSssOtSD/8vsoetWMU1e/yFhPDTbenO0nge9Lk5WjQUKqBXZYfGc
 /2mFvDCBPtAp01YHXbHhckeO7XDR5zbTOgoJQq/PWdpAb7lazol7r5eIyyThi4hQMCUEJ7U
 nhtwjVq1lG1pfxZmpNV2g==
X-UI-Out-Filterresults: notjunk:1;V01:K0:O3ledpgusc0=:PonUCID4jiy/GoeoPHhfYj
 TiR72wHXVPPM2I7GeILZH4i9Qe4lo0/PYJrjcUUfkzdNBvhS//GFVgjlrF8ha4KjSTrlUI+4E
 CSBbTfLBh8kpD1x9e5rdJYkKelt2MpGxpU/+N6xDcSr1jhHilOo5spt/R7692DaZzd7+MRQz5
 BILJeP3Qn/0b5XTEq+5BXatigZ8DW2CBZhIPdG4qULW2Y7X9Px+QR8VGUt0LnlLtb8YulJdUR
 wu7yOa7AM8140iKUpQTNPwBycjV1SywDf/12ZeGW/UqTn1u6v0RtXUro1VY9oJweRTStyKxLy
 djXRWaKQ7L+GOE0wejPO/xk6Sxcm8hXGvGM3Lj5qOMwhSFv8atstfx2AOvidpN0sDvZYI7eKV
 at8aKfX5dWaMS2mS14WjSFftntoEq7HFNCmHFWdq0EvQjTJ++hG3rEjZayGWIEcRn1l521j9p
 0gVJVzyOzSak/Dd5GYSgn81V72kqThxy4w/oI9uTs2vYghALqEjQNASmqtjM4nMOe4AahmgFC
 tOG7ZRAh0jJNna1BHLiLlClXmrE6TMJqNifMxAmKcJvVgD/kJprry8Wdlh1xXgQXi0gAayFgq
 rfo8Dt2hWwik63E2w/VP8Q5LxSQqSZiVDkumNNYKGppdD9iIZdqlp4jDcCmAUzUuzUMBNSmNV
 HsNdpZmOsQQeHopsVdcvY7Od0MW1ny2SYAFQ7dibtAdroIvGXONvU+jtJa86LcvtU/9I=
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -3.5 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.5 (---)

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--vuxAnnbJdUvDjFLSLd8vhXRg4LOT0IDaA
Content-Type: multipart/mixed; boundary="HUU8KFua6PPsIUAfOJNFvliNIWioOsFEn";
 protected-headers="v1"
From: =?UTF-8?Q?Cl=c3=a9ment_Pit--Claudel?= <clement.pitclaudel@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Message-ID: <bf1de76c-d460-423d-9db6-cbae4083dcea@HIDDEN>
Subject: Spurious warnings with variables mentioned only pcase guard patterns

--HUU8KFua6PPsIUAfOJNFvliNIWioOsFEn
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

The following causes a warning (unused variable 'b'):

  (pcase '(1 2) ((and `(,a ,b) (guard (equal a b))) a))

This is due to pcase let-binding 'a' twice; once around the guard test ('=
(equal a b)'), and once around the body ('a').


--HUU8KFua6PPsIUAfOJNFvliNIWioOsFEn--

--vuxAnnbJdUvDjFLSLd8vhXRg4LOT0IDaA
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2

iQIcBAEBCAAGBQJYi+J+AAoJEPqg+cTm90wjueIP/2lgv5vPXtUJohsn+WwQAjnL
8jxwgONEUpgs+BLpI4L7+15a6lIfxkhQvv0pRbqBIJRGfWywYHesFPITgYN3shbW
u2kGtCVUsT5umCh6FoJIDPamUNEF+3d/u3SEUrhB9XDbzpemqF/mDTaKFKg+0biL
Z8FeM7GmQAv9/CB/natRRB/pi326XmNyO7i/hi7ZC9QhwYjK9XoZPG0ejPGsNw6e
+nVBkwlfXwicqMHnNUHqTxNdcmTOh8S1lg6ZRsJ67YoZtsCaxbntaBVRSKaz2V3r
SGsdy+C0xD7q9Mji2SnaohTA1TMIiv641QPNmLTjvbLeBg99C38E+Bm8iG/jIZgv
NFmMcSn74Z2mkEiU5jzn79acmsSuebE2QWVf46Sys46nkKwluoP8NbhEZ+3708wL
aJblwHvbiYhwvwpkHuTbw2qdRPwE4dR1UATyag59PlRPcerSXvx2rNYUGltrldFS
DBCJXbaHSi94zB5oUffnsCcvgFiHRzYLEG9S5wk1dgvoV9jPRKOz9YcqSoZ0EDIP
9Ukj7TkMypN6vx9NMlvgV4Z5NEGZOIdrdZgwNI6yyynSpwLx8fwq+AmvMoAy6FIO
jd9Yr6jUfLNcV+/PM5EIvLLP5+k5nrsUH0DUzhE5/wOEwAlNPbA19XTY1ue39aKQ
LM2xo8I3wbzxtqj7RbV1
=B9oC
-----END PGP SIGNATURE-----

--vuxAnnbJdUvDjFLSLd8vhXRg4LOT0IDaA--




Acknowledgement sent to Clément Pit--Claudel <clement.pitclaudel@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#25558; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 1 Jul 2017 13:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.